\name{coalsplit}
\alias{coalsplit}
\title{Generate a tree with split times}
\description{Generate a coalescent tree for multiple populations
  when the populations split from a base population in the past.
}
\usage{
coalsplit(n,split)
}
\arguments{
    \item{n}{ The sample size \code{n}.}
  \item{split}{ The scaled split time \code{split}. }
}
\value{
  Returns an object of class \code{poptree} with
  components
  \item{t }{The coalescence times}
  \item{d1 }{The labels of "left" descendents}
  \item{d2 }{The labels of "right" descendents}
  \item{location}{The location of samples.}
}
%\details{
%}
%\references{
%}
\seealso{ \code{\link{coal1}},\code{\link{coalmig}} \code{\link{mutate}}
}
\examples{
m1 <- coalsplit(c(10,10,10,10,10),split=0.5);
plot(m1);
}
\author{Ian Wilson \email{I.Wilson@maths.abdn.ac.uk}
\keyword{coalescent}