\name{mutate}
\alias{mutate}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{ Put mutations on trees. }
\description{
  A function to mutate trees.  Mutations can either be infinite sites
  or STRs (simple tandem repeats).
}
\usage{
mutate1(tr, nSTR = 5, theta = 1, ninf = 0)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{tr}{ An object of class \code{tree}  }
  \item{nSTR}{ The numebr of STRs }
  \item{theta}{ The scaled STR mutation rate. }
  \item{ninf}{ The number of infinite sites }
}

\value{
  Returns an object of class \code{STRtree}, \code{inftree} or
  \code{STRinftree}
  depending on the parameters passed to the function.  This is a list of
  class \code{tree} with the additional list components
  \item{STR }{A matrix with \code{nSTR} columns}
  \item{inf }{A matrix with \code{ninf} columns}
 }
%\references{ ~put references to the literature/web site here ~ }
\author{ Ian Wilson <\email{I.Wilson@maths.abdn.ac.uk}> }
%\note{ ~~further notes~~ }

 
\seealso{  \code{\link{coal1}} }

\examples{
tr <- coal1(10)
plot(mutate(tr,nSTR=5))
plot(mutate(tr,ninf=5))
}
\keyword{mutate }% at least one, from doc/KEYWORDS
\keyword{genealogy }% __ONLY ONE__ keyword per line
