#include <R.h>
#include <R_ext/PrtUtil.h>
#include <Rmath.h>
#include "treeutil.h"
/*******************************************************************/
int gen_from_probs(double  *p, int n)
/* a routine to pick a number from 1 to n based on relative
probabilities in p    */
{
	double prob,*cp,sum=0.0;
	int where,i;

	cp=Calloc(n+1,double);
	for (i=1;i<=n;i++) sum += p[i];
	cp[0]=0.0;
	for (i=1;i<=n;i++) cp[i] = cp[i-1]+p[i]/sum; 
	prob = unif_rand();
	where = (int)prob*n+1;
	for (;;) {
		if  (prob <= cp[where]) {
			if (where==1) {
				Free(cp);
				return 1;
			}
			if (prob > cp[where-1]) {
				Free(cp);
				return where;
			} else where--;
		} else {
			where++;
			if (where>=n) {
				Free(cp);
				return n;
			}
		}
	}
}
/*******************************************************************/
int gen_from_probs0(double  *p, int n)
/* a routine to pick a number from 0 to n-1 based on relative
probabilities in p    */
{
	double prob,*cp,sum=0.0;
	int where,i;

	cp=Calloc(n+1,double);
	for (i=0;i<n;i++) sum += p[i];
	cp[0]=0.0;
	for (i=0;i<n;i++) cp[i+1] = cp[i]+p[i]/sum; 
	prob = unif_rand();
	where = (int)prob*n+1;
	for (;;) {
		if  (prob <= cp[where]) {
			if (where==1) {
				Free(cp);
				return 0;
			}
			if (prob > cp[where-1]) {
				Free(cp);
				return where-1;
			} else where--;
		} else {
			where++;
			if (where>=n) {
				Free(cp);
				return n-1;
			}
		}
	}
}
/*******************************************************************/
